Bug 1841912 - Notification Drawer: Long alert names can get clipped at some screen widths
Summary: Notification Drawer: Long alert names can get clipped at some screen widths
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.6.0
Assignee: Joe Caiani
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-29 19:41 UTC by Samuel Padgett
Modified: 2020-10-27 16:02 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Version: 4.5.0-0.ci-2020-05-26-143043 Cluster ID: cc559462-dd41-4ff2-8f69-5192592595ac Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:76.0) Gecko/20100101 Firefox/76.0
Last Closed: 2020-10-27 16:01:56 UTC
Target Upstream Version:


Attachments (Terms of Use)
Drawer content cut off (128.12 KB, image/png)
2020-05-29 19:41 UTC, Samuel Padgett
no flags Details
screenshot of fixed wrapped notification drawer titles (102.77 KB, image/png)
2020-07-13 20:54 UTC, Joe Caiani
no flags Details
Verification screenshot (470.39 KB, image/png)
2020-07-14 02:40 UTC, XiaochuanWang
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 5081 0 None closed Update PatternFly to major release v4.0 2020-10-27 18:27:07 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:02:28 UTC

Description Samuel Padgett 2020-05-29 19:41:14 UTC
Created attachment 1693521 [details]
Drawer content cut off

See screenshot. The name is wider than the drawer is wide, so some of the content is getting cut off.

Comment 2 Joe Caiani 2020-05-29 21:27:43 UTC
Talked to mcoker in pf core to address this in pf html/css to add break when a long string with no breaks exist as the title to the notification: https://github.com/patternfly/patternfly/issues/3144
Will merge this into pf when the upstream fix is ready.

Comment 3 Joe Caiani 2020-06-08 22:50:21 UTC
The PF fix for this issue is merged and will be available in two weeks when the next version of pf is released.

Comment 4 Joe Caiani 2020-07-13 20:54:53 UTC
Created attachment 1700906 [details]
screenshot of fixed wrapped notification drawer titles

Comment 7 XiaochuanWang 2020-07-14 02:40:07 UTC
Created attachment 1700931 [details]
Verification screenshot

Comment 8 XiaochuanWang 2020-07-14 02:41:15 UTC
Attached the screenshot, this is fixed.
Verified on 4.6.0-0.nightly-2020-07-13-203610

Comment 10 errata-xmlrpc 2020-10-27 16:01:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.